Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.webservice
Class TCPIPWSMessage

    java.lang.Object
      com.stc.connector.tcpip.model.webservice.TCPIPWSMessage

Direct Known Subclasses:
  TCPIPEXTWSMessage

    public class TCPIPWSMessage

extends java.lang.Object

This class represents the input/output message for TCP/IP web services.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/03/03 15:36:01 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`protected` | `TCPIPWSMessage()` Default Constructor.
`` | `TCPIPWSMessage(java.lang.String messageType)` Constructor.

Method Summary
`boolean` | `getAutoClose()` Returns the autoClose.
`boolean` | `getAutoReconnect()` Returns the autoReconnect.
`byte[]` | `getBytes()` Returns the bytes.
`java.lang.Object` | `getClientApplication()` Returns the clientApplication.
`java.lang.String` | `getEncoding()` Returns the encoding.
`java.lang.Object` | `getServerApplication()` Returns the serverApplication.
`java.lang.String` | `getString()` Returns the string.
`boolean` | `isAutoClose()` Returns the autoClose.
`boolean` | `isAutoReconnect()` Returns the autoReconnect.
`boolean` | `isClientMessageType()` Method isClientMessageType.
`boolean` | `isClosed()` Method isClosed.
`boolean` | `isServerMessageType()` Method isServerMessageType.
`void` | `setAutoClose(boolean autoClose)` Sets the autoClose.
`void` | `setAutoReconnect(boolean autoReconnect)` Sets the autoReconnect.
`void` | `setBytes(byte[] bytes)` Sets the bytes.
`void` | `setClientApplication(java.lang.Object clientApplication)` Sets the clientApplication.
`void` | `setEncoding(java.lang.String encoding)` Sets the encoding.
`void` | `setServerApplication(java.lang.Object serverApplication)` Sets the serverApplication.
`void` | `setString(java.lang.String string)` Sets the string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPWSMessage

    protected TCPIPWSMessage()

  Default Constructor.

### TCPIPWSMessage

    public TCPIPWSMessage(java.lang.String messageType)
                   throws TCPIPWSException

  Constructor.

  Parameters:
    `messageType` - TCPIPWSContainer.TCPIP_CLIENT_PORT_TYPE or TCPIPWSContainer.TCPIP_SERVER_PORT_TYPE
  Throws:
    `TCPIPWSException` - on error

Method Detail

### isAutoClose

    public boolean isAutoClose()

  Returns the autoClose.

  Returns:
    boolean

### getAutoClose

    public boolean getAutoClose()

  Returns the autoClose.

  Returns:
    boolean

### getBytes

    public byte[] getBytes()

  Returns the bytes.

  Returns:
    byte[]

### getEncoding

    public java.lang.String getEncoding()

  Returns the encoding.

  Returns:
    String

### getString

    public java.lang.String getString()

  Returns the string.

  Returns:
    String

### setAutoClose

    public void setAutoClose(boolean autoClose)

  Sets the autoClose.

  Parameters:
    `autoClose` - The autoClose to set

### setBytes

    public void setBytes(byte[] bytes)

  Sets the bytes.

  Parameters:
    `bytes` - The bytes to set

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Sets the encoding.

  Parameters:
    `encoding` - The encoding to set

### setString

    public void setString(java.lang.String string)

  Sets the string.

  Parameters:
    `string` - The string to set

### isAutoReconnect

    public boolean isAutoReconnect()

  Returns the autoReconnect.

  Returns:
    boolean

### getAutoReconnect

    public boolean getAutoReconnect()

  Returns the autoReconnect.

  Returns:
    boolean

### setAutoReconnect

    public void setAutoReconnect(boolean autoReconnect)

  Sets the autoReconnect.

  Parameters:
    `autoReconnect` - The autoReconnect to set

### isServerMessageType

    public boolean isServerMessageType()

  Method isServerMessageType.

  Returns:
    boolean

### isClientMessageType

    public boolean isClientMessageType()

  Method isClientMessageType.

  Returns:
    boolean

### getClientApplication

    public java.lang.Object getClientApplication()

  Returns the clientApplication.

  Returns:
    Object

### getServerApplication

    public java.lang.Object getServerApplication()

  Returns the serverApplication.

  Returns:
    Object

### setClientApplication

    public void setClientApplication(java.lang.Object clientApplication)
                              throws TCPIPWSException

  Sets the clientApplication.

  Parameters:
    `clientApplication` - The clientApplication to set
  Throws:
    `TCPIPWSException` - on error

### setServerApplication

    public void setServerApplication(java.lang.Object serverApplication)
                              throws TCPIPWSException

  Sets the serverApplication.

  Parameters:
    `serverApplication` - The serverApplication to set
  Throws:
    `TCPIPWSException` - on error

### isClosed

    public boolean isClosed()

  Method isClosed.

  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD